For the complete documentation index, see llms.txt. This page is also available as Markdown.

delAll

Cancels all client's algo (GTC or Synthetic) orders. Might be applied to specific instrument only.

POST /algo/order/delAll

{
  "instrument": "some instrument"
}
Parameter
Type
Description

instrument

string

Optional name of instrument. If provided: all client's GTC/Synthetic orders of this instrument will be cancelled. If not provided: all client's GTC/Synthetic orders will be cancelled

{
    "removed": 2
}
Attribute
Type
Description

removed

int

Amount of removed orders

// in case of any unexpected error
{
    "error": 9,
    "errorDescription": [
        "Some description"
    ]
}
Attribute
Type
Description

error

Efx::ErrorCode

Operation result code. Possible values are in List of Error Codes

errorDescription

string array

List of strings describing observed errors

Last updated